
/* Revised 5/6/02 William Hays - CTI */

#include "libcell.h"

int list_targets(_comm_header * comm, int debug)
{
  _encaps_header *head;
  _data_buffer *buff;
  int ret;

  dprint(DEBUG_TRACE, "--- List_targets.c entered\n");

  head = malloc(ENCAPS_Header_Length);
  if (head == NULL)
  {
    CELLERROR(1,"Could not allocate memory for list_targets.");
    return -1;
  }
  buff = malloc(DATA_Buffer_Length);
  if (buff == NULL)
  {
    CELLERROR(2,"Could not allocate transmit buffer.");
    free(head);
    return -1;
  }


  memset(buff, 0, DATA_Buffer_Length);
  memset(head, 0, ENCAPS_Header_Length);

  fill_header(comm, head, debug);

  head->command = ENCAPS_List_Targets;

  memcpy(buff->data, head, ENCAPS_Header_Length);
  buff->overall_len = ENCAPS_Header_Length;
  ret = senddata(buff, comm, debug);
  if (!ret) ret = readdata(buff, comm, debug);

  dprint(DEBUG_TRACE, "Exiting List_targets returning %d\n",ret);
  return ret;
}
